%define name iptables
%define version 1.2.1a
%define release C1
%define __prefix /usr

# the kernel source always lives here on our products
%define kernel-dir /usr/src/linux

Summary: Packet Filtering for Linux 2.4.x kernels.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System Environment/Base
Source: http://netfilter.samba.org/%{name}-%{version}.tar.bz2
BuildRoot: /var/tmp/%{name}-%{version}-root
Prefix: %{__prefix}
URL: http://netfilter.samba.org
Vendor: Sun Microsystems, Inc. Cobalt Appliances
Provides: iptables
Obsoletes: ipchains ipfwadm
BuildPrereq: kernel >= 2.4.0 kernel-source >= 2.4.0
Requires: kernel >= 2.4.0

%description
The program, iptables, is used to modify the packet filtering table in 
the Linux 2.4.x kernel series.  It can be used to provide Network Address
Translation (NAT) and firewalling capabilities without the need for third-party
software.  iptables replaces the ipfwadm and ipchains tools used with previous
versions of the Linux kernel.

%package devel
Summary:  The headers and libraries needed to develop for iptables.
Group: System Environment/Development
Requires: iptables = %{version}

%description devel
These are the necessary files needed to develop for the iptables package.

%changelog
* Fri Mar 23 2001 Patrick Baltz <patrick.baltz@sun.com>
- initial rpm for iptables

%prep
%setup -n iptables-%{version}

%build
make KERNEL_DIR=%{kernel-dir} BINDIR=%{__prefix}/bin LIBDIR=%{__prefix}/lib MANDIR=%{__prefix}/man INCDIR=%{__prefix}/include default experimental

%install
[ -d $RPM_BUILD_ROOT ] && rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{__prefix}
make KERNEL_DIR=%{kernel-dir} DESTDIR=$RPM_BUILD_ROOT BINDIR=%{__prefix}/bin LIBDIR=%{__prefix}/lib MANDIR=%{__prefix}/man INCDIR=%{__prefix}/include install install-devel install-experimental

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/usr/bin/*
/usr/lib/iptables
/usr/man/man8/*

%files devel
%defattr(-, root, root)
/usr/include/*
/usr/man/man3/*
/usr/lib/*.a
